﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tree1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            treeView1.Dock = DockStyle.Fill;
        }

        private void BnInsert_Click(object sender, EventArgs e)
        {
            treeView1.Nodes.Clear();
            treeView1.Nodes.Add(new TreeNode("1. Node"));
            treeView1.Nodes.Add(new TreeNode("1. Node"));
            treeView1.Nodes.Add(new TreeNode("2. Node"));
            treeView1.Nodes.Add(new TreeNode("3. Node"));
        }

        private void BnInsert2_Click(object sender, EventArgs e)
        {
            TreeNode node;
            TreeNode root;
            treeView1.Nodes.Clear();
            root = new TreeNode("root");
            treeView1.Nodes.Add(root);
            node=new TreeNode("1. Node");
              root.Nodes.Add(node);
            node=new TreeNode("2. Node");
              root.Nodes.Add(node);
            node=new TreeNode("3. Node");
              root.Nodes.Add(node);
            
            treeView1.Nodes.Add(new TreeNode("4. Node"));
            treeView1.Nodes.Add(new TreeNode("5. Node"));
            
        }

        
        private void BnInsert3_Click(object sender, EventArgs e)
        {
            TreeNode node, node2;
            TreeNode root;
            treeView1.BeginUpdate(); // Unterdrücken des Neuzeichnens
            treeView1.ImageList = imageList1;           // an ImageList binden
            treeView1.Nodes.Clear();
            root = new TreeNode("root",1,2);  // Symbole geschlossen offen
            treeView1.Nodes.Add(root);
            node = new TreeNode("1. Node",2,3);
            root.Nodes.Add(node);
            node = new TreeNode("2. Node",3,4);
            root.Nodes.Add(node);
            node2 = new TreeNode("3. Node",1,3);
            root.Nodes.Add(node2);
            node = new TreeNode("5. Node", 3, 4);
            node2.Nodes.Add(node);
            node = new TreeNode("6. Node", 6, 1);
            node2.Nodes.Add(node);
            //treeView1.GetNodeCount
            treeView1.EndUpdate();  // Neu Zeichnen
            root.ExpandAll();
            
            // geht nicht bis zur letzten Tiefe
            /*
            foreach (TreeNode node3 in treeView1.Nodes)
            {
                node3.Expand();
            }
            */

            //treeView1.Nodes
            // onClick    Tag mit myObject

        }

        private void treeView1_Click(object sender, EventArgs e)
        {

        }

        private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
        {
            TreeNode node = treeView1.SelectedNode;
            if (node != null)
            {
                string sStr1 = "Pfad: "+node.FullPath;
                string sStr2 = "Text: "+node.Text;
                MessageBox.Show(sStr1 + "\r\n" + sStr2, "Tree Click");
            }
        }
    }
}
